#pragma once
#include "Mod.h"

#include "Client.h"

class Keystrokes : public Mod {
public:
	ImVec2 pos = ImVec2();
	bool leftheld = false, rightheld = false, backheld = false, forwardheld = false, jumpheld = false;
	float blurs = 5.f;

	Keystrokes() : Mod(_("Keystrokes"), _("Draw the move and jump keys."), Category::RENDER) {
		settings.push_back(new Setting{ _("Blurs"), &blurs, new float(10.f), new float(0.f), 2, {}, true, 10.f });
		
		pos = ImVec2(90.f, Client::windowsize.y / 2.5f);
		
		enabled = false;
	}

private:
	virtual auto onKeyboard(int key, bool* held, bool* cancel) -> void override;
	virtual auto onImGuiRender() -> void override;
};
